nlohmann::detail::iterator_input_adapter_factory< IteratorType, Enable > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::iterator_input_adapter_factory< IteratorType, Enable >:

## Public Types

using | iterator_type = IteratorType
using | char_type = typename std::iterator_traits< iterator_type >::value_type
using | adapter_type = iterator_input_adapter< iterator_type >

## Static Public Member Functions

static adapter_type | create (IteratorType first, IteratorType last)

## Detailed Description

### template<typename IteratorType, typename Enable = void>
struct nlohmann::detail::iterator_input_adapter_factory< IteratorType, Enable >

Definition at line 5556 of file json.hpp.

## Member Typedef Documentation

## adapter_type

template<typename IteratorType, typename Enable = void>

using nlohmann::detail::iterator_input_adapter_factory< IteratorType, Enable >::adapter_type = iterator_input_adapter<iterator_type>

Definition at line 5560 of file json.hpp.

## char_type

template<typename IteratorType, typename Enable = void>

using nlohmann::detail::iterator_input_adapter_factory< IteratorType, Enable >::char_type = typename std::iterator_traits<iterator_type>::value_type

Definition at line 5559 of file json.hpp.

## iterator_type

template<typename IteratorType, typename Enable = void>

using nlohmann::detail::iterator_input_adapter_factory< IteratorType, Enable >::iterator_type = IteratorType

Definition at line 5558 of file json.hpp.

## Member Function Documentation

## create()

template<typename IteratorType, typename Enable = void>

static adapter_type nlohmann::detail::iterator_input_adapter_factory< IteratorType, Enable >::create | ( | IteratorType | first,
|  | IteratorType | last
| ) |  |

inline static

Definition at line 5562 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp